package register

import "git.akyoto.dev/cli/q/src/build/asm"

func isDestructive(mnemonic asm.Mnemonic) bool {
	switch mnemonic {
	case asm.MOVE, asm.ADD, asm.SUB, asm.MUL, asm.DIV, asm.MODULO, asm.AND, asm.OR, asm.XOR, asm.SHIFTL, asm.SHIFTRS, asm.NEGATE:
		return true
	default:
		return false
	}
}
